import createCacheImport from '@emotion/cache';
import { EmotionCache } from '@emotion/utils';
import { DefineComponent, Component, SetupContext, VNode } from 'vue';

declare function createCache(...args: Parameters<typeof createCacheImport>): any;

declare const EmotionCacheProvider: (opts: EmotionCache) => void;
declare const EmotionCacheInjectionSymbol: Symbol;
declare const defaultCache: any;
declare let __unusafe_useEmotionCache: (fallback?: EmotionCache | undefined) => EmotionCache;
declare let withEmotionCache: (fn: (cache: EmotionCache) => DefineComponent | Component | ((props?: unknown, ctx?: SetupContext) => VNode)) => (p: unknown) => DefineComponent | Component | ((props?: unknown, ctx?: SetupContext) => VNode);

export { EmotionCacheInjectionSymbol, EmotionCacheProvider, __unusafe_useEmotionCache, createCache, defaultCache, withEmotionCache };
